Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229661 - ssm action bar (grey bar below top red nav bar) uses image buttons
Summary: ssm action bar (grey bar below top red nav bar) uses image buttons
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shannon Hughes
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 16:26 UTC by Máirín Duffy
Modified: 2009-09-10 18:24 UTC (History)
2 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 18:24:44 UTC


Attachments (Terms of Use)
screenshot showing ssm bar buttons vs other submit buttons in IE (deleted)
2007-02-22 16:26 UTC, Máirín Duffy
no flags Details

Description Máirín Duffy 2007-02-22 16:26:12 UTC
Description of problem:

This affects Satellite and Hosted.

The image buttons in the grey bar below the top red nav bar are image buttons.
They look inconsistent in browsers like IE and on Macs, and they aren't
translatable.

They should be changed to input submit buttons in the java and perl side.

Comment 1 Máirín Duffy 2007-02-22 16:26:13 UTC
Created attachment 148586 [details]
screenshot showing ssm bar buttons vs other submit buttons in IE

Comment 3 Amanda Carter 2008-10-23 22:12:47 UTC
All buttons in Hosted should have been converted from images at this time. Moving to satellite in case it still affects them.

Comment 4 wes hayutin 2009-02-18 13:51:28 UTC
<input class="button" type="submit" align="top" value="Search" name="image-1"/>
<a class="button" href="/network/systems/ssm/index.pxt">  Manage </a>
<a class="button" href="/rhn/systems/Overview.do?empty_set=true&return_url=/rhn/systems/details/probes/ProbesList.do?sid=1000010340">  Clear </a>

all three are "buttons"

verified

Comment 5 Jan Pazdziora 2009-09-01 11:24:15 UTC
Stage validated, MANAGE and CLEAR and Search are buttons.

However, they indeed are not localized -- they say MANAGE and CLEAR and Search in French and German.

I'll put this to RELEASE_PENDING and file new bug.

Comment 6 Jan Pazdziora 2009-09-01 11:28:14 UTC
Filed bug 520597.

Comment 7 Brandon Perkins 2009-09-10 18:24:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.